PROGRAM declaration
IMPLICIT NONE 
 ! IL FAUT COMMENCER PAR DECLARER LES VARIABLES
 ! ... afin de reserver une zone memoire
 integer :: i           ! un entier court sur 32 bits
 integer*8 :: j         ! un entier long sur 64 bits
 real :: r              ! un reel sur 32 bits
 double precision :: d  ! un reel sur 64 bits
 character(len=3) :: c  ! une chaine de 3 caracteres
 logical :: is_it       ! un booleen 
 integer :: k = 2               ! un entier initialise
 real,parameter :: grav = 3.72  ! un reel constant
 ! ENSUITE ON PEUT DETAILLER LES INSTRUCTIONS
 i = 2          ! ici on affecte une valeur
 is_it = .true. ! ici on affecte une valeur
 r = real(i)    ! ici on convertit un entier en reel
 i = int(grav)  ! ici on prend la partie entiere
END PROGRAM declaration
